Skip to main content
GET
/
2025-06-09
/
users
/
{userLocator}
/
linked-wallets
/
{address}
Get Linked External Wallet
curl --request GET \
  --url https://staging.crossmint.com/api/2025-06-09/users/{userLocator}/linked-wallets/{address} \
  --header 'X-API-KEY: <x-api-key>'
{
  "address": "0x1234567890abcdef1234567890abcdef12345678",
  "chainType": "evm",
  "type": "external-wallet",
  "ownership": {
    "verified": false,
    "verificationChallenge": "<string>"
  }
}

Headers

X-API-KEY
string
required

API key required for authentication

Path Parameters

userLocator
string
required
address
string
required

Response

Linked wallet found

Response for a linked external wallet

address
string
required

The wallet address

Example:

"0x1234567890abcdef1234567890abcdef12345678"

chainType
enum<string>
required

The blockchain type of the wallet

Available options:
solana,
sui,
aptos,
xion,
stellar,
evm
Example:

"evm"

type
enum<string>
required

The type of linked wallet

Available options:
external-wallet
Example:

"external-wallet"

ownership
object
required

Ownership verification status of the wallet